Package org.eclipse.net4j.db.ddl

# Enum Class IDBIndex.Type

java.lang.Object
java.lang.Enum<IDBIndex.Type>
org.eclipse.net4j.db.ddl.IDBIndex.Type

All Implemented Interfaces:
  `Serializable`, `Comparable<IDBIndex.Type>`, `Constable`

Enclosing interface:
  `IDBIndex`

public static enum IDBIndex.Type extends Enum<IDBIndex.Type>
The type of an `index` specification in a `DB table`.

Author:
  Eike Stepper
No Extend
  This interface is not intended to be extended by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`NON_UNIQUE`
`PRIMARY_KEY`
`UNIQUE`

## Method Summary

Modifier and Type
Method
Description
`static IDBIndex.Type`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static IDBIndex.Type[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### PRIMARY_KEY

public static final IDBIndex.Type PRIMARY_KEY

### UNIQUE

public static final IDBIndex.Type UNIQUE

### NON_UNIQUE

public static final IDBIndex.Type NON_UNIQUE

## Method Details

### values

public static IDBIndex.Type[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static IDBIndex.Type valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null